<?xml version="1.0" encoding="iso-8859-1"?>
<!-- Addenda Conexiones Hidrulicas version 1.0:: By Daniel Herrera T.::-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:FMA="http://gates.ateb-addenda.com.mx/addendas/FMA">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
		<xsl:element name="FMA:factura">
			<xsl:attribute name="TipoDocumento">FMA</xsl:attribute>
			<xsl:variable name="tpodoc" select="Datos/Documento/@TipoDocumento"/>
			<xsl:attribute name="TipoDocumentoFiscal">				
				<xsl:choose>
					<xsl:when test="$tpodoc = 1">
						<xsl:text>FA</xsl:text>
					</xsl:when>
					<xsl:when test="$tpodoc = 2">
						<xsl:text>CR</xsl:text>
					</xsl:when>
					<xsl:when test="$tpodoc = 3">
						<xsl:text>CA</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>NO_DEFINIDO</xsl:text>
					</xsl:otherwise>
				</xsl:choose>	
			</xsl:attribute>
			<xsl:attribute name="Version">1.0</xsl:attribute>
			<xsl:attribute name="NumeroProveedor"><xsl:value-of select="Datos/Emisor/@noProveedor"/></xsl:attribute>
			<xsl:attribute name="NombreProveedor"><xsl:value-of select="substring(Datos/Emisor/@Nombre,1,80)"/></xsl:attribute>
			<xsl:variable name="can_sus" select="substring-before(Datos/Documento/@Dato3,'|')"/>
			<xsl:if test="$can_sus != ''">
				<xsl:element name="FMA:Cancelaciones">
					<xsl:attribute name="CancelaSustituye">
						<xsl:value-of select="$can_sus"/>
					</xsl:attribute>
				</xsl:element>
			</xsl:if>
			<xsl:element name="FMA:moneda">
				<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
				<xsl:attribute name="tipoMoneda">
					<xsl:choose>
						<xsl:when test="$tpomon = 0">
							<xsl:text>MXP</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 1">
							<xsl:text>MXP</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 2">
							<xsl:text>USD</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 3">
							<xsl:text>EUR</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</xsl:element>
			<xsl:if test="Datos/Documento/@ImpDescuentos &gt; 0">
				<xsl:element name="FMA:descuento">
					<xsl:value-of select="format-number(Datos/Documento/@ImpDescuentos,'0.00')"/>
				</xsl:element>
			</xsl:if>
			<xsl:element name="FMA:partes">
				<xsl:for-each select="Datos/Documento/Partidas/Partida">
					<xsl:element name="FMA:part">
						<xsl:variable name="numlin" select="substring-before(@Observaciones,',')"/>
						<xsl:attribute name="numeroLineaOP">
							<xsl:choose>
								<xsl:when test="$numlin != ''">
									<xsl:value-of select="$numlin"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="position()"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:attribute>
						<xsl:attribute name="cantidad">
							<xsl:value-of select="format-number(@Cantidad,'0.0000')"/>
						</xsl:attribute>
						<xsl:attribute name="unidadDeMedida">
							<xsl:value-of select="substring(@UnidadMedida,1,3)"/>
						</xsl:attribute>
						<xsl:attribute name="precioUnitario">
							<xsl:value-of select="format-number(@PrecioBruto,'0.0000')"/>
						</xsl:attribute>
						<xsl:attribute name="montoDeLinea">
							<xsl:value-of select="format-number(@SubTotal,'0.0000')"/>
						</xsl:attribute>
						<xsl:element name="FMA:references">
							<xsl:attribute name="ordenCompra">
								<xsl:value-of select="/Datos/Documento/OrdenesCompra/OrdenCompra/@No"/>
							</xsl:attribute>
							<xsl:variable name="release" select="substring-after(/Datos/Documento/@Dato3,'|')"/>
							<xsl:if test="$release != ''">
								<xsl:attribute name="releaseRequisicion">
									<xsl:value-of select="$release"/>
								</xsl:attribute>
							</xsl:if>
							<xsl:if test="@CodigoCliente != ''">
								<xsl:attribute name="codigoITEM">
									<xsl:value-of select="@CodigoCliente"/>
								</xsl:attribute>
							</xsl:if>
						</xsl:element>
					</xsl:element>
				</xsl:for-each>
			</xsl:element>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>